Last Comment Bug 820614 - Expose app validator to the world
: Expose app validator to the world
Status: VERIFIED FIXED
:
Product: Marketplace
Classification: Server Software
Component: Developer Pages (show other bugs)
: 1.0
: All All
: P3 normal (vote)
: 2012-12-27
Assigned To: Matt Basta [:basta]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-11 15:49 PST by Wil Clouser [:clouserw]
Modified: 2013-01-03 13:14 PST (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Wil Clouser [:clouserw] 2012-12-11 15:49:53 PST
https://marketplace.firefox.com/developers/validator is behind authentication right now.  I think we did that long ago on AMO because it was slow but we're bigger and better now.  Let's open it up.
Comment 1 Andy McKay [:andym] 2012-12-11 16:21:12 PST
We'd need to change the API to not require auth as wel.
Comment 2 Christopher Van Wiemeersch [:cvan] 2012-12-20 15:05:43 PST
Basta tried - but to no avail:
https://github.com/mozilla/zamboni/commit/0b2bef9
https://github.com/mozilla/zamboni/commit/2243b88
Comment 3 Christopher Van Wiemeersch [:cvan] 2012-12-20 15:07:39 PST
1) Go to https://marketplace.firefox.com/developers/validator
2) Enter a manifest URL or packaged app.
3) The POST results in a 403 because you're anonymous, and there's no anonymous_csrf token.

We currently advertise the App Validator on https://marketplace.firefox.com/developers/docs/ so this may be a problem.
Comment 5 krupa raj[:krupa] 2013-01-03 13:14:51 PST
verified fixed at https://marketplace-dev.allizom.org/developers/validator

Note You need to log in before you can comment on or make changes to this bug.